[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Cluster-devel] cluster/cman/init.d cman



CVSROOT:	/cvs/cluster
Module name:	cluster
Changes by:	adas sourceware org	2006-12-08 22:01:22

Modified files:
	cman/init.d    : cman 

Log message:
	don't fail if unmounting configfs fails

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/cman/init.d/cman.diff?cvsroot=cluster&r1=1.28&r2=1.29

--- cluster/cman/init.d/cman	2006/11/15 16:55:35	1.28
+++ cluster/cman/init.d/cman	2006/12/08 22:01:22	1.29
@@ -241,7 +241,10 @@
     if [ $? -eq 0 ]
     then
 	errmsg=$( /bin/umount /sys/kernel/config 2>&1 )
-	return $?
+	if [ $? -ne 0 ]
+	then
+	    echo -n $errmsg " "
+	fi
     fi
     return 0
 }


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]